Subject: [lamps] draft-ietf-lamps-cmp-updates, Appendix A

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Thu, 6 Aug 2020 11:39:29 +0000

I am preparing an update of the CMP Updates draft and have a question regarding the ASN.1 module to put into the appendix.

RFC 4210 has the normative CMP ASN.1 module in 1988 syntax.
RFC 5912 Section 9 provides an update of the CMP ASN.1 module in 2002 syntax.
In RFC 6402 CMC Updates Jim added the updated normative CMC ASN.1 module in 1988 syntax and added another ASN.1 module in 2008 syntax.
2015 another update of ASN.1 was published by ITU-T.

For CMP Updates I plan to add an updated normative CMP ASN.1 module in 1988 syntax as Appendix A.1.
Like in RFC 4602, I would also add another ASN.1 module in a more current ASN.1 syntax as Appendix A.2.
Which ASN.1 syntax version should I use for this additional Appendix A.2?
1) 2002 like the CMP module in RFC 5912?
2) 2008 like Jim updated the CMC module to in RFC 6402?
3) 2015 which is the most recent ASN.1 syntax version?

Any guidance is welcome!

Hendrik

With best regards,
Hendrik Brockhaus

Siemens AG
Corporate Technology
Research in Digitalization and Automation
Security Architecture
CT RDA CST SEA-DE
Otto-Hahn-Ring 6
81739 Muenchen, Germany 
Tel.: +49 89 780522411
Mobile: +49 174 1517765
mailto:[email-masked]
www.siemens.com/ingenuityforlife

Siemens Aktiengesellschaft: Chairman of the Supervisory Board: Jim Hagemann Snabe; Managing Board: Joe Kaeser, Chairman, President and Chief Executive Officer; Roland Busch, Klaus Helmrich, Cedrik Neike, Ralf P. Thomas; Registered offices: Berlin and Munich, Germany; Commercial registries: Berlin Charlottenburg, HRB 12300, Munich, HRB 6684; WEEE-Reg.-No. DE 23691322

---

From: Mike Ounsworth <[email-masked]>
Date: Thu, 6 Aug 2020 14:18:34 +0000

Not sure if it's helpful, but RFC 6025 (2010) provides guidance ASN.1 on converting from the 1988 syntax to the 2002 syntax.  

---
Mike Ounsworth | Office: +1 (613) 270-2873

-----Original Message-----
From: Spasm <[email-masked]> On Behalf Of Brockhaus, Hendrik
Sent: August 6, 2020 6:39 AM
To: LAMPS WG <[email-masked]>; Russ Housley <[email-masked]>; Jim Schaad <[email-masked]>
Subject: [EXTERNAL][lamps] draft-ietf-lamps-cmp-updates, Appendix A

WARNING: This email originated outside of Entrust Datacard.
DO NOT CLICK links or attachments unless you trust the sender and know the content is safe.

Any guidance is welcome!

Hendrik

With best regards,
Hendrik Brockhaus

Siemens AG
Corporate Technology
Research in Digitalization and Automation Security Architecture CT RDA CST SEA-DE Otto-Hahn-Ring 6
81739 Muenchen, Germany
Tel.: +49 89 780522411
Mobile: +49 174 1517765
mailto:[email-masked]
www.siemens.com/ingenuityforlife

_______________________________________________
Spasm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/spasm

---

From: Russ Housley <[email-masked]>
Date: Thu, 6 Aug 2020 10:35:31 -0400

Jim already converted to the new ASN.1 syntax in RFC 5912/RFC 6402.  I suggest you use that module, and make the minor additions that are needed.

Russ

> On Aug 6, 2020, at 7:39 AM, Brockhaus, Hendrik <[email-masked]> wrote:
>

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Thu, 6 Aug 2020 14:56:38 +0000

> Von: Russ Housley <[email-masked]>
> 
> Jim already converted to the new ASN.1 syntax in RFC 5912/RFC 6402.  I
> suggest you use that module, and make the minor additions that are needed.

RFC 5912 contains the 2002 CMP ASN.1 Module. I will put that into Appendix A.2 and update it.
RFC 6402 contains only a 2008 CMC ASN.1 module, NOT a CMP module.

I case the group changes its mind, I can update Appendix A.2 to a more recent ASN.1 syntax.

Hendrik

> > I am preparing an update of the CMP Updates draft and have a question
> regarding the ASN.1 module to put into the appendix.
> >
> > In RFC 6402 CMC Updates Jim added the updated normative CMC ASN.1
> module in 1988 syntax and added another ASN.1 module in 2008 syntax.
> > http://www.siemens.com/ingenuityforlife
> >
> > Siemens Aktiengesellschaft: Chairman of the Supervisory Board: Jim
> > Hagemann Snabe; Managing Board: Joe Kaeser, Chairman, President and
> > Chief Executive Officer; Roland Busch, Klaus Helmrich, Cedrik Neike,
> > Ralf P. Thomas; Registered offices: Berlin and Munich, Germany;
> > Commercial registries: Berlin Charlottenburg, HRB 12300, Munich, HRB
> > 6684; WEEE-Reg.-No. DE 23691322
> >

---

From: Jim Schaad <[email-masked]>
Date: Thu, 6 Aug 2020 08:24:46 -0700

The set of changes between 2002 and 2015 are relatively small and I doubt
would cause any changes in the modules.  The versions are "normally"
backwards compatible as well.

-----Original Message-----
From: Brockhaus, Hendrik <[email-masked]> 
Sent: Thursday, August 6, 2020 7:57 AM
To: Russ Housley <[email-masked]>
Cc: LAMPS WG <[email-masked]>; Jim Schaad <[email-masked]>
Subject: AW: draft-ietf-lamps-cmp-updates, Appendix A

> suggest you use that module, and make the minor additions that are needed.

RFC 5912 contains the 2002 CMP ASN.1 Module. I will put that into Appendix
A.2 and update it.
RFC 6402 contains only a 2008 CMC ASN.1 module, NOT a CMP module.

I case the group changes its mind, I can update Appendix A.2 to a more
recent ASN.1 syntax.

Hendrik

> > RFC 5912 Section 9 provides an update of the CMP ASN.1 module in 
> > 2002
> syntax.
> > For CMP Updates I plan to add an updated normative CMP ASN.1 module 
> > in
> 1988 syntax as Appendix A.1.
> > Like in RFC 4602, I would also add another ASN.1 module in a more 
> > current
> ASN.1 syntax as Appendix A.2.